rem set xe=p:\xe
rem i:\wintool\xver
rem XVER W95 version return 40 for W95 and NT *****
rem if errorlevel  40   goto  w95

:doschk
h:\c6obj\xver  /w
rem XVER DOS version return 70 for W95,50 for NT *****
rem XVER /w return 71 for dos prmpt 40 for w95 dos session
if errorlevel  211 goto os2dos
if errorlevel   70 goto dos
if errorlevel   63 goto dos
if errorlevel   50 goto wnt
if errorlevel   40 goto w95
:dos
h:\c6obj\xver /d
if errorlevel 1 goto dpmidos
rem copy %xe%\xedos.trc %xe%\xedos.tro
rem h:\c6obj\xe.exe /Db1a %1 %2 %3 %4 %5 %6 %7 %8 %9
h:\tool\xedos.exe /Db1a /d00 %1 %2 %3 %4 %5 %6 %7 %8 %9
goto com
:dpmidos
rem copy %xe%\xegcc.trc %xe%\xegcc.tro
rem h:\gcobj\xe.exe /Db1a  %1 %2 %3 %4 %5 %6 %7 %8 %9
h:\gcobj\xe.exe /Db1a /d00 %1 %2 %3 %4 %5 %6 %7 %8 %9
echo dpmidos
goto com
:os2dos
rem copy %xe%\xedos.trc %xe%\xedos.tro
h:\c6obj\xe.exe /Db1a /d00 %1 %2 %3 %4 %5 %6 %7 %8 %9
@echo off
goto com
:wnt     
:w95
rem copy %xe%\xew95.trc %xe%\xew95.tro
m:\vcobj\xe.exe /Db1a /D00 %1 %2 %3 %4 %5 %6 %7 %8 %9
@echo off
:com
